## org.python.core
Class PyBoolean

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PyInteger
              org.python.core.PyBoolean

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PyBooleanDerived

    public class PyBoolean

extends PyInteger

A builtin python bool.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`static PyType` `TYPE`

Fields inherited from class org.python.core.PyInteger
`maxInt, minInt`

Constructor Summary
`PyBoolean(boolean v)`
`PyBoolean(PyType subType, boolean v)`

Method Summary
`PyObject` `__abs__()` Equivalent to the standard Python __abs__ method.
`PyObject` `__and__(PyObject right)` Equivalent to the standard Python __and__ method
`PyObject` `__neg__()` Equivalent to the standard Python __neg__ method.
`boolean` `__nonzero__()` Equivalent to the standard Python __nonzero__ method.
`PyObject` `__or__(PyObject right)` Equivalent to the standard Python __or__ method
`PyObject` `__pos__()` Equivalent to the standard Python __pos__ method.
`Object` `__tojava__(Class c)` Equivalent to the Jython __tojava__ method.
`PyObject` `__xor__(PyObject right)` Equivalent to the standard Python __xor__ method
`int` `asInt()`
`int` `asInt(int index)`
`long` `asLong(int index)`
`static PyObject` `bool_new(PyNewWrapper new_, boolean init, PyType subtype, PyObject[] args, String[] keywords)`
`int` `getValue()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class org.python.core.PyInteger
`__add__, __cmp__, __coerce_ex__, __complex__, __div__, __divmod__, __float__, __floordiv__, __getnewargs__, __hex__, __index__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __oct__, __pow__, __radd__, __rdiv__, __rfloordiv__, __rmod__, __rmul__, __rpow__, __rshift__, __rsub__, __rtruediv__, __sub__, __truediv__, asIndex, int_new, isIndex, isMappingType, isSequenceType`

Methods inherited from class org.python.core.PyObject

`__call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __lt__, __ne__, __not__, __pow__, __rand__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rlshift__, __ror__, __rpow__, __rrshift__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __unicode__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIterable, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getDoc, getType, implementsDescrDelete, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isNumberType, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final PyType TYPE

Constructor Detail

### PyBoolean

    public PyBoolean(PyType subType,
                     boolean v)

### PyBoolean

    public PyBoolean(boolean v)

Method Detail

### bool_new

    public static PyObject bool_new(PyNewWrapper new_,
                                    boolean init,
                                    PyType subtype,
                                    PyObject[] args,
                                    String[] keywords)

### getValue

    public int getValue()

  Overrides:
    `getValue` in class `PyInteger`

### toString

    public String toString()

  Overrides:
    `toString` in class `PyInteger`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PyInteger`

### __nonzero__

    public boolean __nonzero__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __nonzero__ method. Returns whether of not a given `PyObject` is considered true.

  Overrides:
    `__nonzero__` in class `PyInteger`

### __tojava__

    public Object __tojava__(Class c)

  Description copied from class: `PyObject`
  Equivalent to the Jython __tojava__ method. Tries to coerce this object to an instance of the requested Java class. Returns the special object `Py.NoConversion` if this `PyObject` can not be converted to the desired Java class.

  Overrides:
    `__tojava__` in class `PyInteger`
  Parameters:
    `c` - the Class to convert this `PyObject` to.

### __and__

    public PyObject __and__(PyObject right)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __and__ method

  Overrides:
    `__and__` in class `PyInteger`
  Parameters:
    `right` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the and, or null if this operation is not defined

### __xor__

    public PyObject __xor__(PyObject right)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __xor__ method

  Overrides:
    `__xor__` in class `PyInteger`
  Parameters:
    `right` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the xor, or null if this operation is not defined

### __or__

    public PyObject __or__(PyObject right)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __or__ method

  Overrides:
    `__or__` in class `PyInteger`
  Parameters:
    `right` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the or, or null if this operation is not defined

### __neg__

    public PyObject __neg__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __neg__ method.

  Overrides:
    `__neg__` in class `PyInteger`
  Returns:
    -this.

### __pos__

    public PyObject __pos__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __pos__ method.

  Overrides:
    `__pos__` in class `PyInteger`
  Returns:
    +this.

### __abs__

    public PyObject __abs__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __abs__ method.

  Overrides:
    `__abs__` in class `PyInteger`
  Returns:
    abs(this).

### asLong

    public long asLong(int index)

  Overrides:
    `asLong` in class `PyInteger`

### asInt

    public int asInt(int index)

  Overrides:
    `asInt` in class `PyInteger`

### asInt

    public int asInt()

  Overrides:
    `asInt` in class `PyInteger`

Jython homepage